Package org.eclipse.mat.inspections.collections

## Class HashSetValuesQuery

- java.lang.Object
- - org.eclipse.mat.inspections.collections.HashSetValuesQuery

All Implemented Interfaces:
  `IQuery`

    public class HashSetValuesQuery
    extends java.lang.Object
    implements IQuery

### Field Summary

Fields
`java.lang.String` `array_attribute`
`java.lang.String` `collection`
`IObject` `hashSet`
`java.lang.String` `key_attribute`
`ISnapshot` `snapshot`

### Constructor Summary

Constructors
`HashSetValuesQuery()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IResult` `execute​(IProgressListener listener)` The execute method is called after all arguments have been injected into the query instance.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### snapshot

    public ISnapshot snapshot

#### hashSet

    public IObject hashSet

#### collection

    public java.lang.String collection

#### array_attribute

    public java.lang.String array_attribute

#### key_attribute

    public java.lang.String key_attribute

### Constructor Detail

#### HashSetValuesQuery

    public HashSetValuesQuery()

### Method Detail

#### execute

    public IResult execute​(IProgressListener listener)
                    throws java.lang.Exception

Description copied from interface: `IQuery`
The execute method is called after all arguments have been injected into the query instance. Typical results are `TextResult`, `CompositeResult`, `SectionSpec` etc.

Specified by:
  `execute` in interface `IQuery`
Parameters:
  `listener` - Monitor to report progress and check for cancellation.
Returns:
  The result of the query.
Throws:
  `java.lang.Exception` - if something went wrong running the query